System 2.0.0.0 4.0.0.0 System.Exception

The property contains the status code returned by the SMTP server.

Represents the exception that is thrown when the is not able to complete a or operation.

- Constructor
  2.0.0.0
  4.0.0.0

  The exception returned by this constructor has its property set to .

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses the parameter to initialize the property.

  Initializes a new instance of the class with the specified status code.

  An value.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses the parameter to initialize the property.

  Initializes a new instance of the class with the specified error message.

  A that describes the error that occurred.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses the parameter to initialize the property and uses the parameter to initialize the property.

  Initializes a new instance of the class with the specified status code and error message.

  An value.
  A that describes the error that occurred.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.
  To be added.

  This constructor implements the interface for the class.

  Initializes a new instance of the class from the specified instances of the and classes.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor uses the parameter to initialize the property and the parameter to initialize the property.

  If is not null, the current exception is raised in a catch block that handles .

  Initializes a new instance of the class with the specified error message and inner exception.

  A that describes the error that occurred.
  The exception that is the cause of the current exception.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Any objects included in the are automatically tracked and serialized by the formatter.

  Populates a instance with the data needed to serialize the .

- Property
  2.0.0.0
  4.0.0.0
  System.Net.Mail.SmtpStatusCode To be added. To be added.

  Gets the status code returned by an SMTP server when an e-mail message is transmitted.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added.

  Populates a instance with the data needed to serialize the .